Bug 1799120 - GConf2: FTBFS in Fedora rawhide/f32 [NEEDINFO]
Summary: GConf2: FTBFS in Fedora rawhide/f32
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf2
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:51 UTC by Fedora Release Engineering
Modified: 2020-04-27 14:41 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
yselkowi: needinfo? (rstrode)


Attachments (Terms of Use)

Description Fedora Release Engineering 2020-02-06 15:51:27 UTC
GConf2 failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315366


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix GConf2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
GConf2 will be orphaned. Before branching of Fedora 33,
GConf2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Ben Cotton 2020-02-11 17:17:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:32:11 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:24:01 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-08 04:24:04 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 5 Fedora Release Engineering 2020-03-29 04:25:55 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 6 Miro Hrončok 2020-04-06 11:05:30 UTC
According to the policy, this package in orphaned.

If you wish to unorphan it, claim it via the web interface at https://src.fedoraproject.org/ (bottom part of the left column when viewing the package). When you do, don't forget to also change this bug's status.

(This comment is mass posted to all affected packages and I am not subscribed to all of the bugzillas. If you wish to ask me something please add me to CC and/or use a Bugzilla needinfo. Thanks.)

Comment 7 Miro Hrončok 2020-04-06 11:07:10 UTC
According to the policy, this package in orphaned.

If you wish to unorphan it, claim it via the web interface at https://src.fedoraproject.org/ (bottom part of the left column when viewing the package). When you do, don't forget to also change this bug's status.

(This comment is mass posted to all affected packages and I am not subscribed to all of the bugzillas. If you wish to ask me something please add me to CC and/or use a Bugzilla needinfo. Thanks.)

Comment 8 josef radinger 2020-04-14 10:42:43 UTC
that FTBFS was invalid in my opinion.
s390 was not reachable during build and therefore failed.

a fresh rebuild (without changing anything on my side) succeeded.

therefore the package should get unorphaned,...

yours
josef

Comment 9 josef radinger 2020-04-14 10:55:50 UTC
the failed build with connection errors: https://koji.fedoraproject.org/koji/taskinfo?taskID=41315366

the OK build (f33) i did some minutes ago: https://koji.fedoraproject.org/koji/taskinfo?taskID=43382242
the OK build (f32) i did some minutes ago: https://koji.fedoraproject.org/koji/taskinfo?taskID=43382933

Comment 10 Michael Catanzaro 2020-04-14 13:42:54 UTC
Josef, your email server doesn't support TLS, so my mail server refused to send my responses to your private mail.

I see this was a mistake in that nobody is looking at the bug reports and the build failure was spurious. That said, gconf has been obsolete for nearly a decade now, so unless this is directly threatening an essential reverse dependency, I think orphaning is an OK result. If someone else wants to pick it up, that seems fine.

Comment 11 Yaakov Selkowitz 2020-04-27 14:41:31 UTC
A lot of packages still show dependencies on GConf2.  Some of those are definitely obsolete (e.g. libgnome), some may be obsolete dependencies which just need to be updated, and some just still work and haven't been updated in some time.  I think the number is a bit high to just drop it, and the build failure was spurious per the above.

Does the original maintainer want to re-take this, or should someone else take it?


Note You need to log in before you can comment on or make changes to this bug.